function fv=boundary(y2,frac)
%*********************************************
%** This is a supporting function for ML1.m **
%** Created by Min-Hua Huang, Jan 25, 2012  **
%** y2: county means                        **
%** frac: rescaled parameter eta            **
%** output: adjusted boundary               **
%*********************************************
maxty2=max((y2-mean(y2))/std(y2));
minty2=min((y2-mean(y2))/std(y2));
distmax=mean(y2)+maxty2*frac*std(y2);
distmin=mean(y2)+minty2*frac*std(y2);
fv=[distmax;distmin];
